--- VirtualBox-7.0.0.orig/src/VBox/Runtime/r3/posix/fileio2-posix.cpp
+++ VirtualBox-7.0.0/src/VBox/Runtime/r3/posix/fileio2-posix.cpp
@@ -198,7 +198,12 @@
 
     /* XXX this falls back to utimes("/proc/self/fd/...",...) for older kernels/glibcs and this
      * will not work for hardened builds where this directory is owned by root.root and mode 0500 */
-    if (futimes(RTFileToNative(hFile), aTimevals))
+    struct timespec aTimespecs[2] = {
+    	{ aTimevals[0].tv_sec, aTimevals[0].tv_usec * 1000 },
+    	{ aTimevals[1].tv_sec, aTimevals[1].tv_usec * 1000 },
+    };
+
+    if (futimens(RTFileToNative(hFile), aTimespecs))
     {
         int rc = RTErrConvertFromErrno(errno);
         Log(("RTFileSetTimes(%RTfile,%p,%p,,): returns %Rrc\n", hFile, pAccessTime, pModificationTime, rc));
